
<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container">
    <h2>Responsive Form</h2>

    <form id="inputform01" class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="fname">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="fname" name="firstname" placeholder="Your name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="lname">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="lname" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="country">Country</label>
        </div>
        <div class="col-sm-3">
          <select id="country-select" name="country" class="form-control">
          </select>
        </div>
        <div class="col-sm-3">
          <label for="region">Region</label>
        </div>
        <div class="col-sm-3">
          <select id="region-select" disabled name="region" class="form-control">
          </select>
        </div>
      </div>
      <div class="row pull-right">
        <div class="col-sm-12">
          <input type="button" value="Send" class="btn btn-info" id="send-button">
        </div>
      </div>
    </form>
  </div>
  <script>
    //Get data country
    $.ajax({
      url: "http://localhost:8080/api/countries",
      method: "GET",
      success: function(pObjRes) {
        console.log(pObjRes);
        loadDataToCountrySelect(pObjRes);
      },
      error: function(pXhrObj) {
        console.log(pXhrObj);
      }
    });

    var gCountrySelectElement = $("#country-select");

    function loadDataToCountrySelect(pCountryList) {
      for (i = 0; i < pCountryList.length; i++) {
        var bCountryOption = $("<option/>");
        bCountryOption.prop("value", pCountryList[i].countryCode);
        bCountryOption.prop("text", pCountryList[i].countryName);
        gCountrySelectElement.append(bCountryOption);
      };
    }

    var gRegionSelectElement = $("#region-select");

    //callback function
    gCountrySelectElement.on("change", function () {
      gRegionSelectElement.html("");
      var bCountryCode = $(this).val();

      getRegionsByCountryCode(bCountryCode);
      console.log(bCountryCode);
    });

    //find brandTypes array by brandId
    function getRegionsByCountryCode(pCountryCode) {
      $.ajax({
        url: "http://localhost:8080/api/regions?countryCode="+pCountryCode,
        method: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataToRegionSelect(pObjRes);
        },
        error: function(pXhrObj) {
          console.log(pXhrObj);
        }
      });
    }

    function loadDataToRegionSelect(pRegionList) {
      if (pRegionList.length > 0) {
        gRegionSelectElement.prop("disabled", false);

        for (i = 0; i < pRegionList.length; i++) {
          var bRegionOption = $("<option/>");
          bRegionOption.prop("value", pRegionList[i].regionCode);
          bRegionOption.prop("text", pRegionList[i].regionName);
          gRegionSelectElement.append(bRegionOption);
        };
      } else {
        gRegionSelectElement.prop("disabled", "disabled");
      }
    }

  </script>
</body>

</html>
